#!/bin/bash
#-----------------------------------------------------------------------------------
# DESCRIPCION:Hace la configuracin de los archivos necesarios para el correcto funcionamiento de OpenMosix.
# EVENTO: Congreso Nacional de Software Libre 2004(CONSOL) www.consol.org.mx/2004/
# PONENTES:
#    Castillo Castillo Jos - www.josecc.net
#    Ricardo Benjamn Olvera Acosta
#    Jeanette Moreno Snchez.
#-----------------------------------------------------------------------------------

clear
Xdialog --yesno "Se crearan los links en /etc/rc5.d, /etc/rc0.d y /etc/rc6.d/ para start y shutdown automtico de OpenMosix.\nEjecute este script como Administrador(root).\n Desea continuar?" 0 0;\
case $? in
0)
echo "Continuando . . .";;
1)
clear;
echo "Accin Cancelada.";
exit 0;;
esac

clear

ln -s /etc/init.d/openmosix /etc/rc5.d/S99openmosix
ln -s /etc/init.d/openmosix /etc/rc0.d/K06openmosix
ln -s /etc/init.d/openmosix /etc/rc6.d/K06openmosix

cp -f /home/knoppix/Consol2004/src/etc/openmosix /etc/init.d/
#el archivo /home/knoppix/Consol2004/src/etc/openmosix fue modificado en la linea 115

cat /home/knoppix/Consol2004/src/etc/fstab.add >> /etc/fstab
#Se agrega esta lnea al archivo /etc/fstab para poder usar el subsistema de OpenMosix mfs

echo ""
echo ""
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
echo "Script finalizado."
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
