#!/bin/bash
#-----------------------------------------------------------------------------------
# DESCRIPCION: Compila e instala LAM  lam-7.0.3 para usarse con OpenMosix
# EVENTO: Congreso Nacional de Software Libre 2004(CONSOL) www.consol.org.mx/2004/
# PONENTES:
#    Castillo Castillo Jos - www.josecc.net
#    Ricardo Benjamn Olvera Acosta
#    Jeanette Moreno Snchez.
#-----------------------------------------------------------------------------------

clear
Xdialog --yesno "!!!ATENCION!!!... se borrara toda la informacin de /home/knoppix/Consol2004/src/lam-7.0.3/ si es que esta existe.\n\n Estas seguro que desea continuar?" 0 0;\
case $? in
0)
echo "Continuando . . .";;
1)
clear;
echo "Accin Cancelada.";
exit 0;;
esac

clear
cd /home/knoppix/Consol2004/src

rm -rf lam-7.0.3/

tar -jvxf lam-7.0.3.tar.bz2

cd lam-7.0.3/

./configure --with-rpi=tcp && make
echo ""
echo ""
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
echo "Revisa las ultimas lneas. Si no ha marcado errores, seguramente ya puedes instalar LAM."
echo ""
echo ""
echo "Como administrador(root) ejecuta:"
echo ""
echo "#cd /home/knoppix/Consol2004/src/lam-7.0.3/ && make install"
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
