#!/bin/bash
#-----------------------------------------------------------------------------------
# DESCRIPCION: Configura el archivo /etc/openmosix.map para usarse con 10 nodos 192.168.99.11 - 192.168.99.20 
# EVENTO: Congreso Nacional de Software Libre 2004(CONSOL) www.consol.org.mx/2004/
# PONENTES:
#    Castillo Castillo Jos - www.josecc.net
#    Ricardo Benjamn Olvera Acosta
#    Jeanette Moreno Snchez.
#-----------------------------------------------------------------------------------

clear
Xdialog --yesno "Se configurar el archivo /etc/openmosix.map\nEjecute este script como Administrador(root)\n Desea continuar?" 0 0;\
case $? in
0)
echo "Continuando . . .";;
1)
clear;
echo "Accin Cancelada.";
exit 0;;
esac
clear

cp -f /home/knoppix/Consol2004/src/etc/openmosix.map-11-20 /etc/openmosix.map

echo ""
echo ""
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
echo "Script finalizado."
echo -e "\033[1;34m =================================== \033[0m"
echo -e "\033[1;34m =================================== \033[0m"
