#!/bin/bash
#-----------------------------------------------------------------------------------
# DESCRIPCION: Compila e instala LAM  lam-7.0.3 para usarse con OpenMosix. Esta es la
#    versin precompilada en un CPU Pentium III.
# EVENTO: Congreso Nacional de Software Libre 2004(CONSOL) www.consol.org.mx/2004/
# PONENTES:
#    Castillo Castillo Jos - www.josecc.net
#    Ricardo Benjamn Olvera Acosta
#    Jeanette Moreno Snchez.
#-----------------------------------------------------------------------------------

clear
echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"

echo "Asegurate de estar ejecutando este script como administrador(root), en otro caso no funcionara correctamente."
echo ""
echo "Presiona una tecla para continuar o CTRL-C para cancelar"
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
read bandera


echo ""

cd /home/knoppix/Consol2004/src

rm -rf lam-7.0.3_compilado

tar -vxf lam-7.0.3_compilado.tar

cd lam-7.0.3_compilado

make install

echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
echo "Revisa las ultimas lneas. Si no ha marcado errores, seguramente ya puedes usar LAM."
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
echo ""
